{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine  end_dialog, ErrMsg\r\ndeclare function msg\r\n\r\n$insert msg_equates\r\n\r\nStartDateFrom = .start_date_from->text\r\nStartDateThru = .start_date_thru->text\r\nReactors      = .reactors->array\r\n\r\nLOOP\r\nUNTIL Reactors[-1,1] NE @VM\t\t;* Strips trailing @VM's on Reactor array\r\n\tReactors[-1,1] = ''\r\nREPEAT\r\n\r\nif StartDateFrom = '' Or StartDateThru = '' then\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You must enter a date from and thru...'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\n    return 0\r\nend\r\n\r\nBegDteNum = Iconv(StartDateFrom,'D')\r\nEndDteNum = Iconv(StartDateThru,'D')\r\nDteDifNum = EndDteNum - BegDteNum\r\nIf DteDifNum < 0 Then\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'Date From can not be greater than Date Thru...'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\n    return 0\r\nend\r\nIf DteDifNum > 31 then \r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'Difference in dates can not be greater than 31 days...'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\n    return 0\r\nend\r\n\r\nCustNos = Get_Property(@WINDOW:'.CUST_INFO','ARRAY')<1,1>\t;* First column\r\n\r\nLOOP\r\n\tTestVal = CustNos[-1,'B':@VM]\r\nUNTIL TestVal NE '' OR CustNos = ''\r\n\tCustNos[-1,1] = ''\r\nREPEAT\r\n\r\nExport = Get_Property(@WINDOW:'.EXPORT','CHECK')\r\n\r\n\r\nend_dialog( @window, StartDateFrom:@FM:StartDateThru:@FM:Reactors:@FM:CustNos:@FM:Export )\r\nreturn 0\r\n"
        }
    }
}